1

Topic: Orders managment upgrade fails

I have just completed the upgrade to 84.5. As per the instructions, I uninstalled our orders management plugin prior the upgrade. After the upgrade of GLPI completed I downloaded the latest version of the order management plugin and copied it into place. I then went back to GLPI/Setup/Plugins and select Install. The front/plugin.form.php came up blank. I waited about 5 minutes, then closed the window and logged back into GLPI and went back to the Setup/Plugins. The order management now shows Upgrade or Uninstall. Clicking on the Upgrade button returns to the fron/plugin.form.php screen blank and nothing happens no matter how long I leave it.

2 (edited by jfava 2014-06-20 01:20:12)

Re: Orders managment upgrade fails

Check directory permissions and database permissions. Take a look to php error log

3

Re: Orders managment upgrade fails

Thank you for your response and suggestions.
I get the following error in the apache2 error.log:
[Fri Jun 20 09:36:25 2014] [error] [] PHP Fatal error:  Cannot make static method CommonDropdown::canCreate() non static in class PluginOrderOrderTaxe in glpi/plugins/order/inc/ordertaxe.class.php on line 110, referer: glpi.plc/front/plugin.php.

I have checked the permissions and they are the same owner for both plugins I have - Orders Managment and Reports. Reports is working. The owner is the Apache user on Ubuntu, www-data. The user has minimum rw on all files.

4

Re: Orders managment upgrade fails

These stun guns are easy to carry, easy to conceal, they pack a real punch and they look completely Tacticalinnocent so an attacker is caught off guard. They can be carried on the belt, in a purse or anywhere a cell phone can be carried. With almost everyone carrying them today, they are so common place we hardly notice them anymore.